{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.armadillosuchus.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"attack": "variable.attack_time > 0"
						},
						{
							"in_burrow": "query.can_power_jump"
						},
						{
							"not_in_burrow": "!query.can_power_jump && !query.can_climb"
						},
						"look_at_target"
					]
				}
			}
		},
		"controller.animation.armadillosuchus.move": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						{
							"idle": "!query.is_sitting && !query.can_power_jump"
						},
						{
							"sit": "query.is_sitting && !query.can_power_jump"
						}
					],
					"transitions": [
						{
							"moving": "variable.moving && !query.is_playing_dead"
						},
						{
							"digging": "query.can_climb"
						}
					],
					"blend_transition": 0.5
				},
				"moving": {
					"animations": [
						{
							"walk": "!query.is_sitting && query.ground_speed<3 && !query.can_power_jump"
						},
						{
							"sit": "!query.is_in_water && query.is_sitting && !query.can_power_jump"
						},
						{
							"run": "!query.is_sitting && query.ground_speed>3 && !query.can_power_jump"
						}
					],
					"transitions": [
						{
							"idle": "!variable.moving || query.is_playing_dead"
						},
						{
							"digging": "query.can_climb"
						}
					],
					"blend_transition": 0.5
				},
				"digging": {
					"animations": [
						"digging"
					],
					"transitions": [
						{
							"idle": "!query.can_climb && !variable.moving || query.is_playing_dead"
						},
						{
							"moving": "!query.can_climb && variable.moving && !query.is_playing_dead"
						}
					],
					"blend_transition": 0.5
				}
			}
		}
	}
}